Bug 143001 - SCSI + SATA confuses grub install
SCSI + SATA confuses grub install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-12-15 12:26 EST by GeoffLeach
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 22:25:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2004-12-15 12:26:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have two SATA disks off an on-MB Promise controller, NOT configured
for RAID and SCSI disks off of an Adaptec 29160N controller (IDs 2 and
3). BIOS is configured to boot from the SATAs first, then SCSI. The
first SATA disk (call it SATA-A) has Windoze XP NTFS on the 0 partition.

Fresh install of Core 3. Disk Druid shows the SCSI disks as sda and
sdb and the SATA disks as sdc and sdd.  Reorganizing the disk order
alows me to make SATA-A as sda for /boot as partition 1 and / as
partition 2. XP shows up as "Other" on sdb.  Installation goes OK and
rescue mode confirms the content of grub.conf.  However, on reboot
grub cannot find and OS.

Removing the SCSI controller and re-installing XP and Fedora in the
existing partitions results in a usable system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow above steps

Actual Results:  As stated

Additional info:
Comment 1 Jeremy Katz 2004-12-15 13:17:10 EST
Unfortunately, there is no reliable way to determine what the BIOS
ordering of disks is on a PC machine.  Therefore, with multiple
controllers in a situation like this, you need to go to the advanced
boot loader configuration to change the drive order to match what the
BIOS thinks it is
Comment 2 GeoffLeach 2004-12-15 13:21:52 EST
That's exactly what I did.  Sorry that it wasn't more clear.
Comment 3 Jeremy Katz 2005-02-01 22:25:03 EST
Should be fixed with a few changes to grub since FC3

Note You need to log in before you can comment on or make changes to this bug.